"""
Name: Error.py
Author: Radovan Klembara

Implementation of enumeration of error types.
"""

from enum import Enum


class Error(Enum):
    """
    Enumeration of error types.
    """
    INPUT = 1
    FORMAL = 2
    AUTOMATA_TYPE = 3
    FILE = 4
    ARGUMENTS = 5

    def __get__(self, instance, owner):
        return self.value
